import { customRef } from 'nativescript-vue';
import { unrefView } from '../unrefView';
/**
 * Utility. Typed Ref of View.
 */
export function refView() {
    return customRef((track, trigger) => {
        let view = undefined;
        return {
            get() {
                track();
                return view;
            },
            set(newValue) {
                view = unrefView(newValue);
                watchPushIfIsArray(view);
                trigger();
            },
        };
    });
}
function watchPushIfIsArray(view) {
    if (view && Array.isArray(view)) {
        view.push = function (data) {
            const newItem = unrefView(data);
            return Array.prototype.push.apply(this, Array.isArray(newItem) ? newItem : [newItem]);
        };
    }
}
//# sourceMappingURL=index.js.map