import { View } from '@nativescript/core';
/**
 * Utility. Get View from Ref.
 *
 * @param target
 */
export function unrefView(ref /*  ViewRef<T> */) {
    if (ref?.value instanceof View)
        return ref?.value;
    if (ref instanceof View)
        return ref;
    if (ref?.value?.nativeView)
        return ref?.value.nativeView;
    if (ref?.value?.$el?.nativeView)
        return ref?.value?.$el?.nativeView;
    if (ref?.nativeView)
        return ref?.nativeView;
    if (ref?.$el?.nativeView)
        return ref?.$el?.nativeView;
    // @ts-ignore
    if (Array.isArray(ref?.value))
        return (ref?.value).map((view) => unrefView(view));
    // @ts-ignore
    if (Array.isArray(ref))
        return ref.map((view) => unrefView(view));
    return undefined;
}
//# sourceMappingURL=index.js.map