import { Ref } from 'nativescript-vue';
export type Breakpoints<K extends string = string> = Record<K, number | string>;
/**
 * Reactive screen breakpoints.
 *
 * @param breakpoints
 */
export declare function useBreakpoints<K extends string>(breakpoints: Breakpoints<K>): Record<K, Ref<boolean>> & {
    greater(k: K): Ref<boolean>;
    greaterOrEqual: (k: K) => Ref<boolean>;
    smaller(k: K): Ref<boolean>;
    smallerOrEqual(k: K): Ref<boolean>;
    between(a: K, b: K): Ref<boolean>;
    isGreater(k: K): Ref<boolean>;
    isGreaterOrEqual(k: K): Ref<boolean>;
    isSmaller(k: K): Ref<boolean>;
    isSmallerOrEqual(k: K): Ref<boolean>;
    isInBetween(a: K, b: K): Ref<boolean>;
    current(): import("nativescript-vue").ComputedRef<string[]>;
};
