import { ref } from 'nativescript-vue';
import { useColorMode } from '../useColorMode';
import { createGlobalState } from '../globalState';
const useGlobalState = createGlobalState((initialPalettes) => {
    const palettes = ref(initialPalettes);
    return { palettes };
});
export function useColorPalette(options = {}) {
    const palette = ref();
    const { palettes } = useGlobalState(options.palettes);
    const { theme } = useColorMode({
        modes: palettes.value?.map((palette) => palette.theme) ?? [],
        onChanged: (theme) => {
            palette.value = findPaletteByTheme(palettes.value, theme);
            if (options.onChanged && palette.value) {
                options.onChanged(palette.value);
            }
        },
    });
    palette.value = findPaletteByTheme(palettes.value, theme.value);
    return {
        palette,
    };
}
const findPaletteByTheme = (palettes, theme) => palettes?.find((palette) => palette.theme === theme);
//# sourceMappingURL=index.js.map