import { ViewRef } from '../types';
import { CoreTypes } from '@nativescript/core';
/**
 * Change opacity and visibility with animation of a NativeScript element.
 *
 * @param target
 * @param options
 */
export declare function useFadeElement(target: ViewRef, options?: {
    initial?: {
        opacity: number;
        visibility: CoreTypes.VisibilityType;
    };
    animationDuration?: number;
}): {
    isVisible: import("nativescript-vue").Ref<boolean>;
    show: () => Promise<void>;
    hide: () => Promise<void>;
    toggle: () => Promise<void>;
};
